%define name    fusionsound
%define version 1.1.1
%define snapdate 20081101
%define release %mkrel 2.%{snapdate}.1

%define api 1.1
%define major 1
%define libname %mklibname %{name} %{api} %{major}
%define develname %mklibname %name -d
%define directfbver %version
%define dfbmoduledir %(pkg-config --variable=moduledir direct)

Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPLv2+
Group:          System/Libraries
Summary:        An audio sub system
Url:            http://www.directfb.org/index.php?path=Platform%2FFusionSound
Source0:        http://www.directfb.org/downloads/Core/FusionSound-%{snapdate}.tar.bz2
Patch1:		    fusionsound-20080311-fix-format-errors.patch
BuildRequires:  DirectFB-devel => %directfbver
BuildRequires:	libcddb-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	libalsa-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	mad-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:	FusionSound
Obsoletes:	FusionSound

%description
FusionSound is a very powerful audio sub system in the
manner of DirectFB and a technical demonstration of Fusion.

FusionSound supports multiple applications using Fusion IPC.
It provides streams, static sound buffers and control over any
number of concurrent playbacks. Sample data is always stored
in shared memory, starting a playback simply adds an entry to
the playlist of the mixer thread in the master application.

%package -n %libname
Group:          System/Libraries
Summary:        An audio sub sytem

%description -n %libname
FusionSound is a very powerful audio sub system in the
manner of DirectFB and a technical demonstration of Fusion. 

FusionSound supports multiple applications using Fusion IPC.
It provides streams, static sound buffers and control over any
number of concurrent playbacks. Sample data is always stored
in shared memory, starting a playback simply adds an entry to
the playlist of the mixer thread in the master application.

%package -n %develname
Group:          Development/Other
Summary:        An audio sub system
Requires:	%libname = %version-%release
Provides:	lib%name-devel = %version-%release
Provides:	%name-devel = %version-%release
Obsoletes:	%mklibname -d FusionSound
Obsoletes:	%mklibname -d fusionsound 0

%description -n %develname
FusionSound is a very powerful audio sub system in the
manner of DirectFB and a technical demonstration of Fusion.

FusionSound supports multiple applications using Fusion IPC.
It provides streams, static sound buffers and control over any
number of concurrent playbacks. Sample data is always stored
in shared memory, starting a playback simply adds an entry to
the playlist of the mixer thread in the master application.


%prep
%setup -q -n FusionSound
%patch1 -p2

%build
autoreconf -fi
%configure2_5x
%make

%install
rm -fr %buildroot
%makeinstall_std

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -n %name
%defattr(-,root,root)
%doc AUTHORS ChangeLog TODO
%_bindir/fs*
%_mandir/*/%{name}*
%dir %{dfbmoduledir}/interfaces/IFusionSound
%{dfbmoduledir}/interfaces/IFusionSound/libifusionsound.*
%dir %{dfbmoduledir}/interfaces/IFusionSoundMusicProvider
%{dfbmoduledir}/interfaces/IFusionSoundMusicProvider/libifusionsoundmusicprovider_cdda.*
%{dfbmoduledir}/interfaces/IFusionSoundMusicProvider/libifusionsoundmusicprovider_ffmpeg.*
%{dfbmoduledir}/interfaces/IFusionSoundMusicProvider/libifusionsoundmusicprovider_mad.*
%{dfbmoduledir}/interfaces/IFusionSoundMusicProvider/libifusionsoundmusicprovider_playlist.*
%{dfbmoduledir}/interfaces/IFusionSoundMusicProvider/libifusionsoundmusicprovider_vorbis.*
%{dfbmoduledir}/interfaces/IFusionSoundMusicProvider/libifusionsoundmusicprovider_wave.*
%dir %{dfbmoduledir}/snddrivers
%{dfbmoduledir}/snddrivers/libfusionsound_alsa.*
%{dfbmoduledir}/snddrivers/libfusionsound_oss.*
%{dfbmoduledir}/snddrivers/libfusionsound_wave.*

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS ChangeLog TODO
%_libdir/*.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc AUTHORS ChangeLog TODO
%_libdir/pkgconfig/fusionsound*.pc
%_includedir/fusionsound 
%_includedir/fusionsound-internal
%_libdir/*.so
%_libdir/*.la


%changelog
* Mon Nov 09 2009 Funda Wang <fundawang@mandriva.org> 1.1.1-2.20081101.1mdv2010.1
+ Revision: 463282
- New upstream snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - fix format errors

* Tue Aug 26 2008 Funda Wang <fundawang@mandriva.org> 1.1.1-2.20080311.1mdv2009.0
+ Revision: 276089
- use git snapshot to build against newer directfb

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.1-2mdv2009.0
+ Revision: 266822
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 30 2008 Funda Wang <fundawang@mandriva.org> 1.1.1-1mdv2009.0
+ Revision: 213218
- New version 1.1.1
- adopt to new header file location for ffmpeg

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun May 27 2007 Funda Wang <fundawang@mandriva.org> 1.0.0-1mdv2008.0
+ Revision: 31752
- New upstream version


* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 12:38:05 (53442)
- rebuild

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 12:27:51 (53441)
Import fusionsound

* Sun May 21 2006 Emmanuel Andry <eandry@mandriva.org> 0.9.25-1mdk
- 0.9.25

* Thu Apr 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.9.23-2mdk
- rebuild with a fixed directfb (thus allowing build on x86_64)
- fix build on x86_64

* Fri Feb 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.9.23-1mdk
- new release
- fix build with newer directfb

* Tue May 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.22-1mdk
- new release

* Mon Mar 28 2005 Olivier Thauvin <nanardon@mandrake.org> 0.9.21-1mdk
- 0.9.21
- %%mkrel

* Sun Feb 08 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.19-2mdk
- lowercase name
- fix ownerchip

* Mon Jan 05 2004 Olivier Thauvin <nanardon@klama.mandrake.org> 0.9.19-1mdk
- 1st spec file

